Composer

De Wikipedia, la enciclopedia libre
Ir a la navegación Ir a la búsqueda
Composer
getcomposer.org
Logo-composer-transparent.png
Tipo de programa application-level package manager
software libre
Desarrollador Nils Adermann,
Jordi Boggiano
Lanzamiento 1 de marzo de 2012
Última versión estable 2.0.9
02 de agosto de 2019 (1 año, 9 meses y 15 días)[2]
Género Sistema de gestión de paquetes
Repositorio https://github.com/composer/composer
Programado en PHP
Sistema operativo multiplataforma
Licencia Licencia MIT
Estado actual Activo
En español No

Composer es un sistema de gestión de paquetes para programar en PHP el cual provee los formatos estándar necesarios para manejar dependencias y librerías de PHP. Fue desarrollado por Nils Adermann y Jordi Boggiano quienes continúan dirigiendo el proyecto. Ambos comenzaron el desarrollo en abril de 2011 y en marzo de 2012 presentaron la primera versión.[1]​ Composer está inspirado en Node.js, npm y en Bundler Ruby.[3]

Composer trabaja e instala dependencias o librerías desde la línea de comandos. También permite al usuario instalar las aplicaciones PHP que estén disponibles en el "Packagist", [4]​ el repositorio principal que contiene todos los paquetes disponibles. También dispone de capacidad de auto-descarga para las librerías necesarias que se especifiquen en la información de arranque para así facilitar el uso del código de terceros.

Sintaxis[editar]

Comandos[editar]

Composer ofrece varios parámetros incluyendo :[5]

  • require: añade el parámetro de la librería al archivo composer.json y lo instala.
  • install: instala todas las librerías de composer.json. Es el comando que se usa para descargar tosas las dependencias PHP desde el repositorio.
  • update: actualiza las librerías de composer.json de acuerdo a las versiones permitidas que se señalen.
  • remove: desinstala una librería y la elimina de 'composer.json'.

Definición de librerías[editar]

Ejemplo de composer.json generado por el comando siguiente:

composer require monolog/monolog
{
    "require": {
        "monolog/monolog": "1.2.*"
    }
}

Versiones[editar]

Las diferentes versiones autorizadas de las librerías se definen como sigue:[6]

Símbolo Función (colocado antes del número de versión) Ejemplo
>= permite extender el número. Además podemos usar: >, <, <=. "php": ">=5.5.9" includes PHP 7.
!= excluye una versión.
- define un rango de versiones.
¦¦ añade posibles versiones. "symfony/symfony": "2.8 ¦¦ 3.0" regroups only these two versions.
* extiende a todas las sub-versiones. "symfony/symfony": "3.1.*" includes the 3.1.1.
~ extiende a la siguiente versión del mismo nivel. "doctrine/orm": "~2.5" also concerns the 2.6, but neither the 2.4 nor the 3.0.
^ solo si existe compatibilidad con anteriores versiones.

Frameworks soportados[editar]

Véase también[editar]

Enlaces externos[editar]

Referencias[editar]

  1. a b Software release, github.com, Retrieved April 24, 2016.
  2. Composer download list
  3. Getting Started/Dependency management, getcomposer.org, Retrieved November 28, 2013.
  4. See packagist.org
  5. «Command-line interface / Commands». getcomposer.org. 
  6. «Versions and constraints - Composer». getcomposer.org.